package com.bocloud.cmp.model.agile;

/*
 * 访问控制列表
 */
public class AgileAclRuleModel {
    private String aclUuid; // 所属acluuid
    private String aclRuleUuid; // ACL规则ID
    private String sourceIp; // 源IP，合法的CIDR格式
    private String destinationIp; // 目的IP，合法的CIDR格式
    private String action; // ACL规则动作，枚举 Permit、Deny
    private String producer; // 配置来源

    public String getAclRuleUuid() {
        return aclRuleUuid;
    }

    public void setAclRuleUuid(String aclRuleUuid) {
        this.aclRuleUuid = aclRuleUuid;
    }

    public String getSourceIp() {
        return sourceIp;
    }

    public void setSourceIp(String sourceIp) {
        this.sourceIp = sourceIp;
    }

    public String getDestinationIp() {
        return destinationIp;
    }

    public void setDestinationIp(String destinationIp) {
        this.destinationIp = destinationIp;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getAclUuid() {
        return aclUuid;
    }

    public void setAclUuid(String aclUuid) {
        this.aclUuid = aclUuid;
    }
}
